petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCAppendOptionsPrefix

Appends to the prefix used for searching for all PC options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCAppendOptionsPrefix(PC pc,const char prefix[])

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| prefix | - the prefix string to prepend to all PC option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

PC, append, options, prefix, database

### See Also

PCSetOptionsPrefix(), PCGetOptionsPrefix()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages